__gnu_cxx::_Lock(3)

NAME
__gnu_cxx::_Lock -

SYNOPSIS

Detailed Description

There is no automatic locking or unlocking happening without the programmer's explicit instructions. This class unlocks the mutex ONLY if it has not been locked. However, this check does not apply for locking, and wayward use may cause dead-locks.

Definition at line 137 of file bitmap_allocator.h.

  Public Member Functions
_Lock (_Mutex *__mptr)
void _M_lock ()
void _M_unlock ()
~_Lock ()

Author

Generated automatically by Doxygen for libstdc++ from the source code.